<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'FeaturesCategories',
  props: {
    features: {
      type: Array,
      required: true,
      default: () => [],
    },
    tabTitle: {
      type: String,
      required: true,
      default: '',
    },
    cta: {
      type: Object,
      required: false,
      default: () => {
        return { readMore: 'Read more about', features: 'features' };
      },
    },
    external: {
      type: Boolean,
      required: false,
      default: false,
    },
    selectedTab: {
      type: String,
      required: false,
      default: 'plan',
    },
  },
  methods: {
    anchorEvent(anchor) {
      const anchorElement = document.getElementById(`${anchor}`);
      anchorElement.scrollIntoView({ behavior: 'smooth' });
    },
  },
});
</script>

<template>
  <div class="feature-categories">
    <ul v-if="!external" class="feature-categories__list">
      <li
        v-for="category of features"
        v-show="category.features.length"
        :key="category.slug"
        class="feature-categories__item"
      >
        <SlpIcon
          v-if="!external"
          name="arrow-down"
          class="slp-mr-16"
          variant="product"
          alt="Check icon"
          size="sm"
        />

        <SlpTypography tag="span" variant="body2-bold">
          <router-link
            :data-ga-features="tabTitle"
            :data-ga-features-sub="category.name.toLowerCase()"
            data-ga-location="features sub-section"
            :to="{
              behavior: 'smooth',
              path: '',
              hash: `${category.slug}`,
              query: { stage: selectedTab.toLowerCase() },
            }"
            replace
            >{{ category.name }}
          </router-link>
        </SlpTypography>
      </li>
    </ul>
    <SlpButton
      v-else
      variant="ghost"
      :data-ga-name="tabTitle"
      data-ga-location="features sub-section"
      :href="`/features/?stage=${tabTitle.toLowerCase()}`"
    >
      {{ cta.readMore }}{{ ' ' }}{{ tabTitle }}{{ ' ' }}
      {{ cta.features }}
      <SlpIcon name="chevron-lg-right" variant="product"
    /></SlpButton>
  </div>
</template>

<style scoped lang="scss">
.feature-categories {
  &__list {
    @media (min-width: $breakpoint-md) {
      column-count: 2;
    }
  }

  .slp-btn {
    font-weight: $font-weight-bold;
    padding-left: 0;
    display: flex;
    align-items: center;
    color: $color-text-link-100;

    .slp-icon {
      margin-left: $spacing-8;
    }
  }

  &__item {
    display: flex;
    align-items: baseline;
    margin-bottom: $spacing-8;

    a {
      cursor: pointer;
    }
  }
}
</style>
